Subject: [PATCH] drivers/ide/ppc/pmac.c - CONFIG_BLK_DEV_IDEDMA_PMAC

From: Magnus Damm <[email-masked]>
Date: Tue, 14 Dec 2004 02:14:42 +0100

Hello,

The file drivers/ide/ppc/pmac.c in vanilla 2.6.9 and 2.6.10-rc3 will
not compile with some configurations, the attached patch contains the
following fixes:

- Make sure pmac.c compiles with CONFIG_BLK_DEV_IDEDMA_PMAC unset.
- CONFIG_BLK_DEV_IDEDMA_PMAC needs CONFIG_BLK_DEV_IDEDMA_PCI.
- Removes the default value of CONFIG_BLK_DEV_IDEPCI due to recursive deps.

Thanks,

/ magnus